{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "待办",
    "lanResTag" : "DE.LNAME.SYS_TODO",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[SYS_TODO]",
    "refFlag" : true
  },
  "caption" : "待办",
  "codeName" : "SysTodoRedirectView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoRedirectView.json",
  "funcViewMode" : "REDIRECTVIEW",
  "getGetDataPSAppDEAction" : {
    "modelref" : true,
    "id" : "GetLinkUrl"
  },
  "name" : "SysTodoRedirectView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewNavParams" : [ {
    "key" : "srfapp",
    "name" : "srfapp",
    "value" : "Web",
    "rawValue" : true
  }, {
    "key" : "todosubtype",
    "name" : "todosubtype",
    "value" : "Todo",
    "rawValue" : true
  }, {
    "key" : "todourltype",
    "name" : "todourltype",
    "value" : "todourltype",
    "rawValue" : false
  } ],
  "getPSControls" : [ {
    "getCapPSLanguageRes" : {
      "defaultContent" : "待办",
      "lanResTag" : "DE.LNAME.SYS_TODO",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[SYS_TODO]",
      "refFlag" : true
    },
    "caption" : "待办",
    "codeName" : "RedirectViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "RedirectView",
  "getPSDEViewId" : "bd46a8fcaefb3eae720d2f3d50d0310f",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEREDIRECTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getRedirectPSAppViewRefs" : [ {
    "name" : "SYS_TODO:EDITVIEW",
    "realTitle" : "待办编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "待办编辑视图",
      "lanResTag" : "PAGE.TITLE.SYS_TODO.EDITVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.EDITVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITVIEW",
    "realTitle" : "待办编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "待办编辑视图",
      "lanResTag" : "PAGE.TITLE.SYS_TODO.EDITVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.EDITVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "title" : "待办数据重定向视图",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "待办数据重定向视图",
    "lanResTag" : "PAGE.TITLE.SYS_TODO.REDIRECTVIEW",
    "lanResType" : "PAGE",
    "name" : "界面文本（PAGE.*）[TITLE.SYS_TODO.REDIRECTVIEW]",
    "refFlag" : true
  },
  "getTypePSAppDEField" : {
    "name" : "TODOID",
    "codeName" : "TodoId"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEREDIRECTVIEW",
  "enableCustomGetDataAction" : true,
  "enableDP" : true,
  "enableWorkflow" : true,
  "redirectView" : true,
  "modelid" : "01CBED15-1B30-415A-BEB2-DED1338C47E9",
  "modeltype" : "PSAPPDEVIEW"
}